<?php
/**
* Template Name: Homepage Boxed
 *
 * This is the template that displays home pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package zincy_lite
 */
 
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package zincy_lite
 */
?>
<!DOCTYPE html> 
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1, user-scalabe=no">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<!--[if lt IE 9]>
	<script src="<?php echo get_template_directory_uri(); ?>/js/html5.min.js"></script>
	<![endif]-->

	<?php wp_head(); ?>
</head>
<?php
function zincy_lite_web_layout_c($classes){
     global $zincy_lite_options;
     $zincy_lite_layout_option  = 'boxed';
     if($zincy_lite_layout_option != ''){
        switch ( $zincy_lite_layout_option ) {
            case 'fullwidth':
                break;
            case 'boxed':
                $classes[] = "boxed-layout home";
                break;
        }
     }
     return $classes;
}    
add_filter( 'body_class', 'zincy_lite_web_layout_c' );
?>
<body <?php body_class(); ?>>
	<div id="page" class="site">
		<header id="masthead" class="site-header <?php do_action( 'zincy_lite_menu_alignment' ); ?>">
			<div class="zl-wrapper">
				<div class="top-right clearfix">
					<?php 
					do_action( 'zincy_lite_header_text' ); 
					?>
					<?php
					if ( is_active_sidebar( 'language-option' ) ) {
						dynamic_sidebar( 'language-option' );
					}
					?>
					<?php
					/** 
					* @hooked zincy_lite_social_cb - 10
					*/
					if(get_theme_mod('social_link_header') == '1'){
						do_action( 'zincy_lite_social_links' ); 
					}?>
					<?php

					if(get_theme_mod('search_box_header') == '1'){ 
            get_template_part('searchform-header');
          }
					?>
				</div>   	
			</div>
			<div id="top-header">
				<div class="zl-wrapper">
					<div class="site-branding">				
						<?php if ( get_header_image() ) { ?>
						<a href="<?php echo esc_url( home_url( '/' ) ); ?>">
							<img src="<?php header_image(); ?>" alt="<?php bloginfo('name') ?>"/>
						</a>
						<?php }else{ ?>
						<a href="<?php echo esc_url( home_url( '/' ) ); ?>">
							<h1 class="site-title"><?php echo bloginfo('title'); ?></h1>
						</a>
						<div class="site-description"><?php echo bloginfo('description'); ?></div>
						<?php } ?>		
						
					</div><!-- .site-branding -->
					<div class="right-header clearfix">
						<nav id="site-navigation" class="main-navigation <?php do_action( 'zincy_lite_menu_alignment' ); ?>">
							<h1 class="menu-toggle">&nbsp;</h1>
							<?php wp_nav_menu( array( 
							'theme_location' => 'primary' ) ); ?>
						</nav><!-- #site-navigation -->
						<!--<div class="desk-nav">
							<ul>
								<li><a href="#">
									<div class="desk-nav-box">
										<div class="desk-nav-bx-frnt">Home</div>
										<div class="desk-nav-bx-bck">Home</div>
									</div>
								</a></li>
								<li><a href="#">
									<div class="desk-nav-box">
										<div class="desk-nav-bx-frnt">Home</div>
										<div class="desk-nav-bx-bck">Home</div>
									</div>
								</a></li>
							</ul>
						</div>-->
					</div><!-- .right-header -->
				</div><!-- .zl-wrapper -->
			</div><!-- #top-header -->
		</header><!-- #masthead -->

<section id="slider-banner">
	<?php 
	//if(is_home() || is_front_page() ){
		do_action( 'zincy_lite_bxslider' ); 
	//}?>
</section><!-- #slider-banner -->
<?php
if((is_home() || is_front_page()) && 'page' == get_option( 'show_on_front' )){	
	$zincy_lite_content_id = "content";	
}elseif(is_home() || is_front_page() ){
	$zincy_lite_content_id = "home-content";
}else{
	$zincy_lite_content_id ="content";
}
$zincy_lite_content_id = "home-content";
 ?>
<div id="<?php echo esc_attr($zincy_lite_content_id); ?>" class="site-content">

<?php
$welcome_post_char = get_theme_mod('character_number' , '650');
$welcome_post_read_more = get_theme_mod('read_more');
$welcome_post_id = get_theme_mod('welcome_post');
$event_category = get_theme_mod('zincylite_event');
$event_number =  (get_theme_mod('show_event_number') != '') ? get_theme_mod('show_event_number') : '3';
$show_event_date = get_theme_mod('show_event_date' , '1');  
$welcome_post_width = get_theme_mod('welcome_post_width' , '0');
$zincy_lite_layout = get_theme_mod('homepage_layout_choose');

$feature_post_samll_icon = get_theme_mod('feature_post_icon');
$feature_post_big_icon = get_theme_mod('feature_post_icon_big');
$feature_post_one = get_theme_mod('feature_post_one');
$feature_post_two = get_theme_mod('feature_post_two');
$feature_post_three = get_theme_mod('feature_post_three');
$feature_post_four = get_theme_mod('feature_post_four');
$feature_post_readmore = get_theme_mod('feature_read_more');
$feature_bar_option = get_theme_mod('block_above_footer');

$testimonial_category = get_theme_mod('zincylite_testimonials');
$view_all_text = get_theme_mod('view_all_text' , 'View All');

if($welcome_post_width == 1){
 $welcome_class = "full-width";
}else{
 $welcome_class = "";
}
if( $zincy_lite_layout !== 'layout2') {?>			
<?php if($welcome_post_id != ''){?>
<section id="top-section" class="zl-wrapper">
    <div id="welcome-text" class="clearfix <?php echo esc_attr($welcome_class); ?>">
    	<?php
       if($welcome_post_id != ''){
           $posttype = get_post_type($welcome_post_id);
           $postparam = ($posttype == 'page') ? 'page_id': 'p';
           $args = array(
            'post_type' => $posttype,
            $postparam => $welcome_post_id,
            );
           $query1 = new WP_Query( $args );
           while ($query1->have_posts()) : $query1->the_post(); ?>
           
           <h1><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>
           
           <?php 
           if( has_post_thumbnail() ){
             $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full', false ); 
             ?>
             
             <figure class="welcome-text-image">
              <a href="<?php the_permalink(); ?>">
                  <img src="<?php echo esc_url($image[0]); ?>" alt="<?php the_title(); ?>"/>
              </a>
          </figure>	
          <?php } ?>
          
          <div  class="welcome-detail<?php if( !has_post_thumbnail() ){ echo " welcome-detail-full-width"; } ?>">
             
             <?php if(get_theme_mod('full_content') != 1){ ?>
             <div><?php echo zincy_lite_excerpt( get_the_content() , $welcome_post_char ) ?></div>
             <?php if($welcome_post_read_more != ''){?>
             <a href="<?php the_permalink(); ?>" class="read-more bttn"><?php echo esc_attr($welcome_post_read_more); ?></a>
             <?php } 
         }else{ 
          the_content();
      } ?>
      
  </div>
  
<?php endwhile;	
wp_reset_postdata(); 
}
?>
</div>

<?php if($welcome_post_width != 1): ?>
    <div id="latest-events">
      <?php
      if($event_category != ''){

        $loop = new WP_Query( array(
            'cat' => $event_category,
            'posts_per_page' => $event_number,
            )); ?>

            <h1><a href="<?php echo get_category_link($event_category); ?>"><?php echo get_cat_name($event_category); ?></a></h1>

            <?php while ($loop->have_posts()) : $loop->the_post(); ?>
             <div class="event-list clearfix">
                 <figure class="event-thumbnail">
                    <a href="<?php the_permalink(); ?>">
                        <?php 
                        if( has_post_thumbnail() ){
                            $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'latest-post-thumbnails', false ); 
                            ?>
                            <img src="<?php echo esc_url($image[0]); ?>" alt="<?php the_title(); ?>">
                            <?php } ?>
                        </a>
                    </figure>	

                    <div class="event-detail">
                      <h4 class="event-title">
                       <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                   </h4>
                   <?php 
                   if($show_event_date == 1){ ?>
                   
                   <div class="event-date">
                    <span><?php echo get_the_date(); ?></span>
                </div>
                <?php
            }
            ?>
            <div class="event-excerpt">
               <?php echo zincy_lite_excerpt( get_the_content() , 100 ) ?>
               <a href="<?php the_permalink(); ?>"><span><?php echo __( 'Read More' , 'brovy' );?></span></a>
           </div>
       </div>
   </div>
<?php endwhile; ?>
<?php wp_reset_postdata(); 
} ?>
</div>
<?php endif; ?>
</section>
<?php } ?>

<section id="mid-section" class="zl-wrapper">
    <?php
    if($feature_post_one != '' || $feature_post_two != '' || $feature_post_three != '' || $feature_post_four != ''){
        if(!empty($feature_post_one)) { ?>
        <div id="featured-post-1" class="featured-post<?php if($feature_post_big_icon == 1){ echo ' big-icon'; } ?>">
           
           <?php
           $posttype = get_post_type($feature_post_one);
           $postparam = ($posttype == 'page') ? 'page_id': 'p';
           $args = array(
             'post_type' => $posttype,
             $postparam => $feature_post_one
             );
           $query2 = new WP_Query( $args );
    				// the Loop
           while ($query2->have_posts()) : $query2->the_post(); 
           
           if( $feature_post_samll_icon == 0 && $feature_post_big_icon == 0 ){
             ?>
             <figure class="featured-image">
              <a href="<?php the_permalink(); ?>">
                <div class="featured-overlay">
                   <span class="overlay-plus font-icon-read-more"></span>
               </div>
               <?php 							
               if( has_post_thumbnail()){
                   $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'featured-thumbnails-home', false ); 
                   ?>
                   <img src="<?php echo esc_url($image[0]); ?>" alt="<?php the_title(); ?>"/>
                   <?php }else { ?>
                   <img src="<?php echo get_template_directory_uri(); ?>/images/demo/featured-fallback.jpg" alt="<?php the_title(); ?>">
                   <?php } 
                   ?>
               </a>
           </figure>
           <?php } ?>	
           
           <h2 class="<?php if($feature_post_samll_icon == 1 || $feature_post_big_icon == 1){ echo 'has-icon'; }?>">
             <a href="<?php the_permalink(); ?>">
                 <?php 
                 if($feature_post_samll_icon == 1 || $feature_post_big_icon == 1){ ?>
                 
                 <i class="fa <?php echo esc_attr(get_theme_mod('feature_post_one_icon')) ?>"></i>
                 
                 <?php } ?>
                 <span><?php the_title(); ?></span>
             </a>
         </h2>
         
         <div class="featured-content">
          <p><?php echo zincy_lite_excerpt( get_the_content() , 65 ) ?></p>
          <?php if(!empty($feature_post_readmore)){?>
          <a href="<?php the_permalink(); ?>" class="read-more bttn"><?php echo esc_attr($feature_post_readmore); ?></a>
          <?php } ?>
      </div>
  <?php endwhile;
  wp_reset_postdata(); ?>
  
</div>
<?php }

if(!empty($feature_post_two)) {?>
<div id="featured-post-2" class="featured-post<?php if($feature_post_big_icon == 1){ echo ' big-icon'; } ?>">
   
   <?php
   $posttype = get_post_type($feature_post_two);
   $postparam = ($posttype == 'page') ? 'page_id': 'p';
   $args = array(
     'post_type' => $posttype,
     $postparam => $feature_post_two,
     );
   $query3 = new WP_Query( $args );
    				// the Loop
   while ($query3->have_posts()) : $query3->the_post();
   
   if( $feature_post_samll_icon == 0 && $feature_post_big_icon == 0 ){
     ?>
     <figure class="featured-image">
      <a href="<?php the_permalink(); ?>">
        <div class="featured-overlay">
           <span class="overlay-plus font-icon-read-more"></span>
       </div>
       <?php 							
       if( has_post_thumbnail()){
           $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'featured-thumbnails-home', false ); 
           ?>
           <img src="<?php echo esc_url($image[0]); ?>" alt="<?php the_title(); ?>"/>
           <?php }else { ?>
           <img src="<?php echo get_template_directory_uri(); ?>/images/demo/featured-fallback.jpg" alt="<?php the_title(); ?>">
           <?php } 
           ?>
       </a>
   </figure>
   <?php } ?>	
   
   <h2 class="<?php if($feature_post_samll_icon == 1 || $feature_post_big_icon == 1){ echo 'has-icon'; }?>">
     <a href="<?php the_permalink(); ?>">
         <?php 
         if($feature_post_samll_icon == 1 || $feature_post_big_icon == 1){ ?>
         
         <i class="fa <?php echo esc_attr(get_theme_mod('feature_post_two_icon')) ?>"></i>
         
         <?php } ?>
         <span><?php the_title(); ?></span>
     </a>
 </h2>

 <div class="featured-content">
  <p><?php echo zincy_lite_excerpt( get_the_content() , 65 ) ?></p>
  <?php if(!empty($feature_post_readmore)){?>
  <a href="<?php the_permalink(); ?>" class="read-more bttn"><?php echo esc_attr($feature_post_readmore); ?></a>
  <?php } ?>
</div>
<?php endwhile;
wp_reset_postdata(); ?>

</div>
<?php } 

if(!empty($feature_post_three)) { ?>
<div id="featured-post-3" class="featured-post<?php if($feature_post_big_icon == 1){ echo ' big-icon'; } ?>">
   <?php
   $posttype = get_post_type($feature_post_three);
   $postparam = ($posttype == 'page') ? 'page_id': 'p';
   $args = array(
     'post_type' => $posttype,
     $postparam => $feature_post_three,
     );
   $query4 = new WP_Query( $args );
    				// the Loop
   while ($query4->have_posts()) : $query4->the_post(); 
   if( $feature_post_samll_icon == 0 && $feature_post_big_icon == 0){
     ?>
     <figure class="featured-image">
      <a href="<?php the_permalink(); ?>">
        <div class="featured-overlay">
           <span class="overlay-plus font-icon-read-more"></span>
       </div>
       <?php 							
       if( has_post_thumbnail()){
           $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'featured-thumbnails-home', false ); 
           ?>
           <img src="<?php echo esc_url($image[0]); ?>" alt="<?php the_title(); ?>"/>
           <?php }else { ?>
           <img src="<?php echo get_template_directory_uri(); ?>/images/demo/featured-fallback.jpg" alt="<?php the_title(); ?>"/>
           <?php } 
           ?>
       </a>
   </figure>
   <?php } ?>	
   
   <h2 class="<?php if($feature_post_samll_icon == 1 || $feature_post_big_icon == 1){ echo 'has-icon'; }?>">
     <a href="<?php the_permalink(); ?>">
         <?php 
         if($feature_post_samll_icon == 1 || $feature_post_big_icon == 1){ ?>
         
         <i class="fa <?php echo esc_attr(get_theme_mod('feature_post_three_icon')) ?>"></i>
         
         <?php } ?>
         <span><?php the_title(); ?></span>
     </a>
 </h2>

 <div class="featured-content">
  <p><?php echo zincy_lite_excerpt( get_the_content() , 65 ) ?></p>
  <?php if(!empty($feature_post_readmore)){?>
  <a href="<?php the_permalink(); ?>" class="read-more bttn"><?php echo esc_attr($feature_post_readmore); ?></a>
  <?php } ?>
</div>
<?php endwhile;
wp_reset_postdata(); ?>

</div>
<?php } 

if(!empty($feature_post_four)) { ?>
<div id="featured-post-4" class="featured-post<?php if($feature_post_big_icon == 1){ echo ' big-icon'; } ?>">
   <?php
   $posttype = get_post_type($feature_post_four);
   $postparam = ($posttype == 'page') ? 'page_id': 'p';
   $args = array(
     'post_type' => $posttype,
     $postparam => $feature_post_four,
     );
   $query4 = new WP_Query( $args );
    				// the Loop
   while ($query4->have_posts()) : $query4->the_post(); 
   if( $feature_post_samll_icon == 0 && $feature_post_big_icon == 0 ){
     ?>
     <figure class="featured-image">
      <a href="<?php the_permalink(); ?>">
        <div class="featured-overlay">
           <span class="overlay-plus font-icon-read-more"></span>
       </div>
       <?php 							
       if( has_post_thumbnail()){
           $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'featured-thumbnails-home', false ); 
           ?>
           <img src="<?php echo esc_url($image[0]); ?>" alt="<?php the_title(); ?>">
           <?php 
       } ?>
   </a>
</figure>
<?php } ?>	

<h2 class="<?php if($feature_post_samll_icon == 1 || $feature_post_big_icon == 1){ echo 'has-icon'; }?>">
 <a href="<?php the_permalink(); ?>">
     <?php 
     if($feature_post_samll_icon == 1 || $feature_post_big_icon == 1){ ?>
     
     <i class="fa <?php echo esc_attr(get_theme_mod('feature_post_three_icon')) ?>"></i>
     
     <?php } ?>
     <span><?php the_title(); ?></span>
 </a>
</h2>

<div class="featured-content">
  <p><?php echo zincy_lite_excerpt( get_the_content() , 65 ) ?></p>
  <?php if(!empty($feature_post_readmore)){?>
  <a href="<?php the_permalink(); ?>" class="read-more bttn"><?php echo esc_attr($feature_post_readmore); ?></a>
  <?php } ?>
</div>
<?php endwhile;
wp_reset_postdata(); ?>

</div>
<?php } 
}
?>
</section>
<div class="call-to-action">
    <?php do_action('zincy_lite_call_to_action');?>
</div>

<?php } //end of layout2 ?>

<?php if($feature_bar_option == 1) :?>
    <section id="bottom-section">
    	<div class="zl-wrapper">
            <div class="text-box">
              <?php 
              if ( is_active_sidebar( 'textblock-1' ) ){
                dynamic_sidebar( 'textblock-1' );
            } 
            ?>	
        </div>
        
        <div class="thumbnail-gallery clearfix">
            <?php 
            $gallery_code = get_theme_mod('gallery_image_code');
            if ( is_active_sidebar( 'textblock-2' ) ){
                dynamic_sidebar( 'textblock-2' );
            }elseif(!empty($gallery_code)){
                ?>
                <h3><?php _e('Gallery','brovy')?></h3>
                <?php 
                echo do_shortcode($gallery_code );
            } ?>	
        </div>        
        
        <div class="testimonial-slider-wrap">
          <?php 
          if ( is_active_sidebar( 'textblock-3' ) ) {
            dynamic_sidebar( 'textblock-3' );
        }else{
            
          if(!empty($testimonial_category)) {	?>
          <h3><?php echo get_cat_name($testimonial_category); ?></h3>
          <?php
          $loop2 = new WP_Query( array(
             'cat' => $testimonial_category,
             'posts_per_page' => 5,
             )); ?>
             <div class="testimonial-wrap">
              <div class="testimonial-slider">
                  <?php while ($loop2->have_posts()) : $loop2->the_post(); ?>
                   <div class="testimonial-slide">
                    <div class="testimonial-list clearfix">
                     <div class="testimonial-excerpt">
                      <?php echo zincy_lite_excerpt( get_the_content() , 100 ) ?>
                  </div>
                  <div class="testimonial-inner">
                    <div class="testimonial-thumbnail">
                     <?php 
                     if(has_post_thumbnail()){
                        the_post_thumbnail('testimonials-home'); 
                    }else{ ?>
                    <img src="<?php echo get_template_directory_uri(); ?>/images/testimonial-dummy.jpg" alt="no-image"/>
                    <?php } ?>
                </div>
                <div class="testimoinal-client-name"><?php the_title(); ?></div>
            </div>
        </div>
    </div>
<?php endwhile; ?>
</div>
</div>
<a class="all-testimonial" href="<?php echo get_category_link( $testimonial_category ) ?>"><?php echo esc_html($view_all_text); ?>&nbsp;<i class="fa fa-long-arrow-right"></i></a>


<?php wp_reset_postdata(); 
}
}?>
</div>
<div class="twitter-block-wrap">
    <div class="twitter-block">
        <?php
        if ( is_active_sidebar( 'textblock-4' ) ) {
            dynamic_sidebar( 'textblock-4' );
        }
        ?>  
    </div>
</div>
</div>
</section>
<?php endif; ?>

<?php get_footer(); ?>